org.apache.tapestry5.internal.services

## Class ValidationConstraintGeneratorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ValidationConstraintGeneratorImpl

- All Implemented Interfaces:
    ValidationConstraintGenerator

      public class ValidationConstraintGeneratorImpl
      extends java.lang.Object
      implements ValidationConstraintGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationConstraintGeneratorImpl(java.util.List<ValidationConstraintGenerator> configuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `buildConstraints(java.lang.Class propertyType, AnnotationProvider annotationProvider)` For a given property, identify all the approprite validation constraints.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationConstraintGeneratorImpl

          public ValidationConstraintGeneratorImpl(java.util.List<ValidationConstraintGenerator> configuration)

  - ### Method Detail

    - #### buildConstraints

          public java.util.List<java.lang.String> buildConstraints(java.lang.Class propertyType,
                                                                   AnnotationProvider annotationProvider)

      Description copied from interface: `ValidationConstraintGenerator`
      For a given property, identify all the approprite validation constraints. Each returned value is the name of a validator (i.e., "required") or a validator name and configuration (i.e., "minlength=5"). These contraints are exactly the individual terms in a `validate specification`. These will ultimately be used to create `FieldValidator`s for the field that edits the property.
      Specified by:
        `buildConstraints` in interface `ValidationConstraintGenerator`
      Parameters:
        `propertyType` - the type of the property for which constraints are needed
        `annotationProvider` - provides access to any annotations concerning the property (for implementations that are based on analysis of property annotations)
      Returns:
        a list of constraints
      See Also:
        `FieldValidatorSource`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.